{% extends 'dashboard/dashboard_content.html' %}

{% block title %}
    Edit Update Info
{% endblock %}

{% block head_block %}
    <link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/css/select2.min.css" rel="stylesheet"/>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/js/select2.min.js"></script>

    <!-- Latest compiled and minified CSS -->
    <link rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.11.2/css/bootstrap-select.min.css">

    <!-- Latest compiled and minified JavaScript -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.11.2/js/bootstrap-select.min.js"></script>


{% endblock %}

{% block rightPane %}
    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-edit"></i>
                Edit Update Info
            </h2>
            <ul class="nav navbar-right panel_toolbox">
                <li>

                    <button class="btn1 btn-orange" type="button" data-toggle="modal"
                            data-target="#myModal">
                        Delete Update
                    </button>
                    <form method="POST">{% csrf_token %}
                        <input type="hidden" name="delete_pk" value="{{ updateInfo.pk }}">
                        <div class="modal" id="myModal" tabindex="-1" role="dialog"
                             aria-labelledby="myModalLabel1" aria-hidden="true">
                            <div class="modal-dialog" role="document">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                        <h4 class="modal-title" id="myModalLabel1"><b> Delete Confirmation </b></h4>
                                    </div>
                                    <div class="modal-body">
                                        <h4 align="center" style="word-wrap: break-word"> This will delete the
                                            Update
                                        </h4>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn1 btn1-secondary" data-dismiss="modal">Close
                                        </button>
                                        <input type="submit" class="btn1 btn-deep-orange" name="delete"
                                               value="Delete"/>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                </li>
            </ul>
            <div class="clearfix"></div>
        </div>
        <div class="x_content">
            <div>
                <form method="POST">{% csrf_token %}
                    <input type="hidden" name="edit_pk" value="{{ updateInfo.pk }}">
                    <div class="col-md-12 col-sm-12 col-xs-12">
                        <div class="form-horizontal form-label-left">
                            <br>
                            <div class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                    Update Info
                                </label>
                                <div class="col-md-6 col-sm-6 col-xs-12">
                                <textarea name="work" class="form-control" placeholder="Write Update informations"
                                          type="text"
                                          maxlength="5000" required>{{ updateInfo.work }}</textarea>
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                    Link to Find
                                </label>
                                <div class="col-md-6 col-sm-6 col-xs-12">
                                <textarea class="form-control" type="text" name="link_to_use"
                                          maxlength="1000"
                                          placeholder="How to access the resource (optional)">{{ updateInfo.link_to_use }}</textarea>
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                    Date
                                </label>
                                <div class="col-md-6 col-sm-6 col-xs-12">
                                    <input id="datepicker" class="form-control" name="date" type="text"
                                           value="{{ updateInfo.date|date:'d/m/Y' }}"
                                           required>
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                    Status
                                </label>
                                <div class="col-md-6 col-sm-6 col-xs-12">
                                    {% if updateInfo.show_status == True %}
                                        <input type="radio" value="1" name="status" checked>Show&nbsp;&nbsp;
                                        <input type="radio" value="2" name="status">Hide&nbsp;&nbsp;
                                    {% else %}
                                        <input type="radio" value="1" name="status">Show&nbsp;&nbsp;
                                        <input type="radio" value="2" name="status" checked>Hide&nbsp;&nbsp;
                                    {% endif %}
                                </div>
                            </div>
                            <br>

                            <div class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                </label>
                                <div class="col-md-6 col-sm-6 col-xs-12">
                                    <button type="submit" name="update" class="btn1 btn1-success">Update Record
                                    </button>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>


    <script type="text/javascript">

        $(function () {
            $("#datepicker").datepicker({dateFormat: 'dd/mm/yy'});
        });


    </script>

{% endblock %}